All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.storedprocess
Class XMLStream

    com.sas.services.storedprocess.XMLStream

All Implemented Interfaces:
  com.sas.storage.editableproperties.LocalizableProperties, java.io.Serializable

    public class XMLStream

Describes a XMLStream data source or target. For data sources the properties of this object used by the Stored Process service are the fileref name and whether rewinding is allowed; for data targets only the fileref name is used. Other properties are solely for client use.

Since:
  9.2
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.services.storedprocess.GenericStream
`_streamElement`

Method Summary
`java.lang.String` | `getReferenceName()` Returns the reference name.
`java.lang.String` | `getReferenceNameSpace()` Returns the reference namespace.
`java.lang.String` | `getSchemaURI()` Returns the schema URI.
`boolean` | `isReferenceTypeForSchemaElement()` Determines whether the reference type is for a schema element or schema type.
`boolean` | `isSchemaAvailable()` The return values determines whether a schema is available to be associated with this XML Stream.
`boolean` | `isSchemaToBeEmbeddedInWSDL()` Determines whether the schema is to be embedded of referenced in generated WSDL.

Methods inherited from class com.sas.services.storedprocess.GenericStream
`allowsRewinds, getDescription, getExpectedContentType, getFileref, getLabel, getLocalizableProperties, isSource, setLocalizableProperties, toString`

Method Detail

### isSchemaAvailable

    public boolean isSchemaAvailable()

  The return values determines whether a schema is available to be associated with this XML Stream. If true:
  - Schema details can be obtained from `getSchemaURI()`, `getReferenceNameSpace()`, `getReferenceName()` and `isReferenceTypeForSchemaElement()`.
  - `isSchemaToBeEmbeddedInWSDL()` return a valid value.

  Returns:
    the availability of a schema

### getSchemaURI

    public java.lang.String getSchemaURI()
                                  throws java.lang.IllegalStateException

  Returns the schema URI. This method should only be called if `isSchemaAvailable()` returns true.

  Returns:
    the schema URI
  Throws:
    `java.lang.IllegalStateException` - if called when isSchemaAvailable() returns false

### getReferenceNameSpace

    public java.lang.String getReferenceNameSpace()

  Returns the reference namespace. This method should only be called if `isSchemaAvailable()` returns true.

  Returns:
    the reference namespace
  Throws:
    `java.lang.IllegalStateException` - if called when isSchemaAvailable() returns false

### getReferenceName

    public java.lang.String getReferenceName()

  Returns the reference name. This method should only be called if `isSchemaAvailable()` returns true.

  Returns:
    the reference name
  Throws:
    `java.lang.IllegalStateException` - if called when isSchemaAvailable() returns false

### isReferenceTypeForSchemaElement

    public boolean isReferenceTypeForSchemaElement()

  Determines whether the reference type is for a schema element or schema type. If true, it is for a schema element; if false for a schema type. This method should only be called if `isSchemaAvailable()` returns true.

  Returns:
    whether the reference type is for a schema element or schema type
  Throws:
    `java.lang.IllegalStateException` - if called when isSchemaAvailable() returns false

### isSchemaToBeEmbeddedInWSDL

    public boolean isSchemaToBeEmbeddedInWSDL()

  Determines whether the schema is to be embedded of referenced in generated WSDL. If true, the schema is embedded; if false, the schema is generated. This method should only be called if `isSchemaAvailable()` returns true.

  Returns:
    whether the reference type is for a schema element or schema type
  Throws:
    `java.lang.IllegalStateException` - if called when isSchemaAvailable() returns false

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.